import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import React from "react";
import { Button } from "semantic-ui-react";
import { PureComponent } from "react";
import { func, node, string } from "prop-types";
import { isNil } from "lodash";
import { useHandlerProxy } from "@orbit-ui/react-components-shared";
export class MultiSelectDropdownTrigger extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleClick", useHandlerProxy(this, "onClick"));
  }

  getClasses() {
    const {
      className
    } = this.props;
    const defaultClasses = "tall";
    return isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
  }

  render() {
    const {
      text,
      icon
    } = this.props;
    return React.createElement("div", {
      className: "mr2 mb2"
    }, React.createElement(Button, {
      secondary: true,
      onClick: this.handleClick,
      className: this.getClasses()
    }, text, " ", icon));
  }

}